/******** <lalVerbatim file="BlockApplySearchHV"> ********
Author: Tibbits, M. M.
$Id: BlockApplySearch.h,v 1.2 2002/07/05 20:45:31 tibbits Exp $
********* </lalVerbatim> ********/

/******************************* <lalLaTeX file="BlockApplySearchH">
\section{Header \texttt{BlockApplySearch.h}}
\label{s:BlockApplySearch.h}

Header file which contains error codes and function prototypes specific
to the implementation of the Block Normal \texttt{BlockApplySearch} function.

\subsection*{Synopsis}
\begin{verbatim}
#include "BlockApplySearch.h"
\end{verbatim}

\subsection*{Error conditions}
\input{BlockApplySearchHErrTab}

\subsection*{Structures}
None

*************************************************** </lalLaTeX> */

#ifndef _BLOCKAPPLYSEARCH_H
#define _BLOCKAPPLYSEARCH_H

#include "LALWrapperInterface.h"
#include "Block.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID( BLOCKAPPLYSEARCHH, "$Id: BlockApplySearch.h,v 1.2 2002/07/05 20:45:31 tibbits Exp $");

/******** <lalErrTable file="BlockApplySearchHErrTab"> ********/
#define BLOCKAPPLYSEARCHH_ENULL 1
#define BLOCKAPPLYSEARCHH_ENNUL 2
#define BLOCKAPPLYSEARCHH_EALOC 3
#define BLOCKAPPLYSEARCHH_ENUMZ 4
#define BLOCKAPPLYSEARCHH_EDELT 8
#define BLOCKAPPLYSEARCHH_ERANK 9
#define BLOCKAPPLYSEARCHH_EUEXT 10

#define BLOCKAPPLYSEARCHH_MSGENULL "Null pointer"
#define BLOCKAPPLYSEARCHH_MSGENNUL "Non-null pointer"
#define BLOCKAPPLYSEARCHH_MSGEALOC "Memory allocation error"
#define BLOCKAPPLYSEARCHH_MSGENUMZ "Data segment length is zero"
#define BLOCKAPPLYSEARCHH_MSGEDELT "deltaT is zero or negative"
#define BLOCKAPPLYSEARCHH_MSGERANK "Search node has incorrect rank"
#define BLOCKAPPLYSEARCHH_MSGEUEXT "Unrecognised exchange type"
/******** </lalErrTable> ********/

void BlockReparseData
(
        LALStatus       *status,
        void            *searchParams
);

void ApplySearchMaster
(
	LALStatus		*status,
	LALSearchOutput		*output,
	LALSearchInput		*input,
	LALApplySearchParams	*params
);

void ApplySearchSlave
(
	LALStatus		*status,
	LALSearchOutput		*output,
	LALSearchInput		*input,
	LALApplySearchParams	*params
);

#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _BLOCKAPPLYSEARCH_H */


/******************************* <lalLaTeX file="BlockApplySearchH">

\vfill{\footnotesize\input{BlockApplySearchHV}}

\newpage\input{BlockApplySearchC}
\newpage\input{BlockRho2C}
\newpage\input{BlockBuildOutputC}

*************************************************** </lalLaTeX> */
