/******** <lalVerbatim file="BlockConditionDataHV"> ********
Author: Tibbits, M. M.
$Id: BlockConditionData.h,v 1.2 2002/07/05 20:46:14 tibbits Exp $
********* </lalVerbatim> ********/

/******************************* <lalLaTeX file="BlockConditionDataH">
\section{Header \texttt{BlockConditionData.h}}
\label{s:BlockConditionData.h}

Header file which outlines errors and function protoypes specific to the
\texttt{LALConditionData} routine in the block normal search.

\subsection*{Synopsis}
\begin{verbatim}
#include "BlockConditionData.h"
\end{verbatim}

\subsection*{Error conditions}
\input{BlockConditionDataHErrTab}

\subsection*{Structures}

*************************************************** </lalLaTeX> */


#ifndef _BLOCKCONDITIONDATA_H
#define _BLOCKCONDITIONDATA_H

#include "LALWrapperInterface.h"
#include "Block.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID( BLOCKCONDITIONDATAH, "$Id: BlockConditionData.h,v 1.2 2002/07/05 20:46:14 tibbits Exp $");


/******** <lalErrTable file="BlockConditionDataHErrTab"> ********/
#define BLOCKCONDITIONDATAH_ENULL     1
#define BLOCKCONDITIONDATAH_ENNUL     2
#define BLOCKCONDITIONDATAH_EALOC     3
#define BLOCKCONDITIONDATAH_EARGS     4
#define BLOCKCONDITIONDATAH_EINPUT    5
#define BLOCKCONDITIONDATAH_EDATZ     6
#define BLOCKCONDITIONDATAH_EFEW      7
#define BLOCKCONDITIONDATAH_ENPIP     8
#define BLOCKCONDITIONDATAH_ENMSQ     9

#define BLOCKCONDITIONDATAH_MSGENULL   "Null pointer"
#define BLOCKCONDITIONDATAH_MSGENNUL   "Non-null pointer"
#define BLOCKCONDITIONDATAH_MSGEALOC   "Memory allocation error"
#define BLOCKCONDITIONDATAH_MSGEARGS   "Wrong number of arguments"
#define BLOCKCONDITIONDATAH_MSGEINPUT  "Wrong data names in input structure"
#define BLOCKCONDITIONDATAH_MSGEDATZ   "Got less data than expected"
#define BLOCKCONDITIONDATAH_MSGEFEW    "Too few points in one sequence"
#define BLOCKCONDITIONDATAH_MSGENPIP   "Amount of input per sequence must be > 2*np "
#define BLOCKCONDITIONDATAH_MSGENMSQ   "Incorrect number of Input Sequences."
/******** </lalErrTable> ********/

void BlockDistributeDataMaster
(
    LALStatus             *status,
    LALSearchInput        *inout,
    void                  *searchParams,
    LALMPIParams          *mpiParams
);


void BlockDistributeDataSlave
(
    LALStatus             *status,
    LALSearchInput        *inout,
    void                  *searchParams,
    LALMPIParams          *mpiParams
);


void BlockParseData
(
	LALStatus	*status,
	LALSearchInput	*inout,
	void		*searchParams
);


#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _BLOCKCONDITIONDATA_H */


/******************************* <lalLaTeX file="BlockConditionDataH">

\vfill{\footnotesize\input{BlockConditionDataHV}}

\newpage\input{BlockConditionDataC}

*************************************************** </lalLaTeX> */

