/* -*- mode: c; c-basic-offset: 2; -*- */
/******** <lalVerbatim file="ExtTrigHV"> ********
Author: Rahkola, R
$Id: ExtTrig.h,v 1.4 2002/08/02 21:48:27 rrahkola Exp $
********* </lalVerbatim> ********/
/* turn this on to enable debugging.  Give DEBUG_EXTTRIG an integer value. */
//#define DEBUG_EXTTRIG 1
//#define DUMMY_CODE

/* The 4-character version identification to be used in db entries */
#define EXTTRIG_VER "v0.2"

/* Length of unique ID string */
#define IDLEN 20

#ifndef _EXTTRIG_H
#define _EXTTRIG_H

/* LAL functions */
#include <lal/LALRCSID.h>
#include <lal/RealFFT.h>
#include <lal/StochasticCrossCorrelation.h>

/* LALWrapper functions */
#include <LALWrapperInterface.h>

/* ExtTrig package include */
#include "ExtTrigData.h"

#ifdef __cplusplus
extern "C" {
#endif

NRCSID( EXTTRIGH, "$Id: ExtTrig.h,v 1.4 2002/08/02 21:48:27 rrahkola Exp $");

/* Identifiers for the types of messages we will be sending/receiving      */
/* :NOTE: Left-over from "moments.c" code, but might someday be useful     */
/*enum 
{
 ExchMean,
 ExchVar,
 ExchSkew,
 ExchKurt,
 ExchHOM,
 ExchFinished
}
ExchType;
*/

/*
 * The user-defined structure which holds data relevant to our particular
 * wrapper shared object
 */
typedef struct tagETSearchParams 
{
  /* Common parameters for parallel processing */
  BOOLEAN                 searchMaster;    /* whether node is search master */
  INT4                    rank;                  /* node rank (0 if master) */
  UINT4                   numSlaves;         /* total number of slave nodes */
  UINT4                   curSlaves;     /* current number of active slaves */
  CHAR                    chan1[dbNameLimit];      /* name of first channel */
  CHAR                    chan2[dbNameLimit];     /* name of second channel */

  /* Containers for diagnostics information */
  /* Set to 1 when the structure is fully initialised */
  BOOLEAN                 initialised;
  /* This is only for debugging purposes */
  CHAR                    id[IDLEN];

  /* Initial Search Parameters */
  ETInitParams           *initParams;

  /* Data Vector */
  ETDataSegmentVector    *data;

  /* List of Off-Source Segments */
  ETSegList              *segments;

  /* Set the parameters for performing FFTs, including FFTPlan & windowing */
  SZeroPadAndFFTParameters *fftParams;

  /* Results structure */
  ETResult               *result;

  /* Container for sending/receiving results between nodes */
  // REAL4Vector         *message;
} 
ETSearchParams;

#ifdef __cplusplus
}
#endif

#endif /* _EXTTRIG_H */
