/* -*- mode: c; c-basic-offset: 2; -*- */
/******** <lalVerbatim file="SlopeAddEventToLinkedListC"> ********
Author: Daw, E
$Id: SlopeAddEventToLinkedList.c,v 1.2 2002/06/26 18:42:53 edaw Exp $
******** </lalVerbatim> ********/

#ifdef DEBUG_SLOPE
#include <stdio.h>
#endif
#include <math.h>

/* lal standard library */
#include <lal/LALStdlib.h>

/* lal MPI interface */
#include <lal/Comm.h>

/* structures and definitions for this code segment */
#include <SlopeDatatypes.h>
#include <SlopeAddTimeToGpsSecNan.h>
#include <SlopeAddEventToLinkedList.h>

NRCSID( SLOPEADDEVENTTOLINKEDLISTC, "$Id: ");

void
SlopeAddEventToLinkedList(LALStatus* const  status,
			  INT4              eventTimeSecs,
			  INT4              eventTimeNSecs,
			  REAL4             eventAmp,
			  REAL4             eventDur,
			  REAL4             eventCF,
			  REAL4             eventBW,
			  SlopeDetections** pcurrentEvent,
			  SlopeDetections** pfirstEvent ) 
{
  SlopeDetections* newEvent;
  SlopeDetections* currentEvent;

  newEvent = LALMalloc(sizeof(SlopeDetections));

  if( *pcurrentEvent == 0x0 ) {
    *pfirstEvent = newEvent;
    newEvent->previous = 0x0;
    newEvent->next = 0x0;
  } else {
    currentEvent = *pcurrentEvent;
    currentEvent -> next = newEvent;
    newEvent->previous = currentEvent;
    newEvent->next = 0x0;
  }

  /* allocate memory for new event. Write pointer to next field */
  /* of current event */
  /*currentEvent->next = LALMalloc( sizeof(SlopeDetections) );*/
  /*newEvent = currentEvent->next;*/

  /* fill in physical data for new event */
  newEvent->eventDetectionTimeSeconds = eventTimeSecs;
  newEvent->eventDetectionTimeNanoseconds = eventTimeNSecs;
  newEvent->eventAmplitude = eventAmp;
  newEvent->eventDuration = eventDur;
  newEvent->eventCentralFrequency = eventCF;
  newEvent->eventBandwidth = eventBW;

  /* write pointer to current event (the one passed to the function) */
  /* as the previous field of the new event */
  /*newEvent->previous = currentEvent;*/
  /*newEvent->next = 0x0;*/

  /* increment the current event to the new event */
  *pcurrentEvent = newEvent;

  RETURN(status);
}
